View Issue Details

IDProjectCategoryView StatusLast Update
0000323Main CAcert Websiteorganisational sectionpublic2013-01-14 20:22
Reporterhomer Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMain CAcert WebsiteOSN/A 
Fixed in Version2006 
Summary0000323: Cannot add and remove an admin to/from an organisation
DescriptionAfter the security changes, I cannot add/remove an admin for an organisation

in the link, the orgid is missing

https://secure.cacert.org/account.php?id=33

workaround : adding the orgid in the URL

https://secure.cacert.org/account.php?id=33&orgid=92
=> OK I can add an admin
TagsNo tags attached.
Reviewed by
Test Instructions

Activities

ak1301

2006-09-05 07:12

reporter   ~0000653

I can confirm the problem.

I can add the Admin, but I don't see him.

Anyway, the second Admin can see the Org Certs.

homer

2006-09-05 08:05

reporter   ~0000656

from ak1301 :

If i retry it with your link, i see the Second Admin

This was the Problem:

The Problem isn't that i can't add a new Admin, i can add one,
the Problem is, that i can't see the admin i have add.

The Second Admin can see the org Certificates. !!!!!

Is this a Security issue that i can add admins without a org id?

I can see here revoked certs.
https://www.cacert.org/account.php?id=22&viewall=1 revoked certs.

Widerrufen 2006-01-27 02:36:07 2008-01-13 22:35:53
that can't be correct

homer

2006-09-05 08:07

reporter   ~0000657

I cannot remove an org admin too !!!!! :(

Sourcerer

2006-09-08 08:33

administrator   ~0000668

Reminder sent to: duane

duane

2006-11-27 11:40

developer   ~0000718

duplicate bug, but this has been fixed...

Issue History

Date Modified Username Field Change
2006-09-03 03:50 homer New Issue
2006-09-03 03:50 homer Status new => needs work
2006-09-03 03:50 homer Assigned To => duane
2006-09-05 07:12 ak1301 Note Added: 0000653
2006-09-05 07:38 homer Priority low => normal
2006-09-05 07:38 homer Description Updated
2006-09-05 08:05 homer Note Added: 0000656
2006-09-05 08:07 homer Note Added: 0000657
2006-09-05 08:09 homer Summary Cannot add an admin to an organisation => Cannot add and remove an admin to/from an organisation
2006-09-05 08:09 homer Description Updated
2006-09-08 08:33 Sourcerer Note Added: 0000668
2006-11-27 11:40 duane Assigned To duane => homer
2006-11-27 11:40 duane Status needs work => solved?
2006-11-27 11:40 duane Resolution open => fixed
2006-11-27 11:40 duane Note Added: 0000718
2006-11-28 04:44 Sourcerer Status solved? => closed
2013-01-14 20:22 Werner Dworak Assigned To homer =>
2013-01-14 20:22 Werner Dworak Fixed in Version => 2006